Get Parent Simulated Event details

get

/sia/v1/event/simulated/{id}

Returns parent simulated event details. When include=aggregations is provided, also returns resource aggregations computed from child simulated events (grouped by resourceType) and a UI-friendly summary string.

Request

Path Parameters
Query Parameters
  • Optional include flags. Supported: aggregations
    Example:
    aggregations

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Event details retrieved.
Body ()
Root Schema : SimulatedEventDetailsResponse
Type: object
Enriched simulated event details including resource aggregations.
Show Source
Nested Schema : aggregations
Type: object
Aggregated resource details for this simulated event.
Match All
Aggregated resource details for this simulated event.
Aggregated resource details for this simulated event.
Show Source
Nested Schema : event
Type: object
The parent simulated event entity.
Match All
The parent simulated event entity.
The parent simulated event entity.
Show Source
Nested Schema : SimulatedEventAggregations
Type: object
Aggregated resource details for a simulated event.
Show Source
Nested Schema : resourceAggregations
Type: array
Resource aggregations grouped by resource type.
Show Source
Nested Schema : ResourceAggregationItem
Type: object
Aggregation bucket for a resource type and its count.
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : attemptedRingStrategies
Type: array
Ring calculation strategy context: the successful strategy for positive Rings results, or zero-result attempted strategies when noRingsFound is true.
Show Source
Nested Schema : edgeLinkEntityId
Type: array
Entity ids of the communication edges in topology that terminate on the inventory resource on which this event is raised.
Show Source
Nested Schema : properties
Type: object
Additional Properties Allowed
Show Source
Nested Schema : relationships
Type: object
Additional Properties Allowed
Show Source
Examples

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

404 Response

The requested resource not found
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top